<?php

/**
 * Created by PhpStorm.
 * User: user
 * Date: 2016/4/12 0012
 * Time: 17:54
 * 这个文件必须存在 且存在index方法 作为默认方法
 */
class index extends Controller {

    public $appname = '克隆测试';
    public $apptoken = '29486f50fd73756a712fe634375722b5';

    function __construct() {
        parent::__construct();
        $this->template('index');  //模版目录
    }

    public function RegCodeGenerate() {
        $this->display('RegCodeGenerate.php');  //引入页面
    }

    public function RegCodeManager() {
        $this->display('RegCodeManager.php');  //引入页面
    }

    public function ProjectManager() {
        $this->display('ProjectManager.php');  //引入页面
    }

    public function ProjectCreate() {
        $this->display('ProjectCreate.php');  //引入页面
    }

    public function BatchUnbind() {
        $this->display('BatchUnbind.php');  //引入页面
    }

    public function BatchXuFei() {
        $this->display('BatchXuFei.php');  //引入页面
    }

    public function BatchFrozen() {
        $this->display('BatchFrozen.php');  //引入页面
    }

    public function BatchEditProject() {
        $this->display('BatchEditProject.php');  //引入页面
    }

    public function ConfigManager() {
        $this->display('ConfigManager.php');  //引入页面
    }

    public function ConfigCreate() {
        $this->display('ConfigCreate.php');  //引入页面
    }

    public function ConfigEdit() {
        $this->display('ConfigEdit.php');  //引入页面
    }

    public function ConfigExplanation() {
        $this->display('ConfigExplanation.php');  //引入页面
    }

    public function index() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('RegCodeManager.php');  //引入页面
    }

    public function fileManager() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('fileManager.php');  //引入页面
    }

    public function blacklistCreate() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('blacklistCreate.php');  //引入页面
    }

    public function blacklistEdit() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('blacklistEdit.php');  //引入页面
    }

    public function blacklistManager() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('blacklistManager.php');  //引入页面
    }

    public function logManager() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('logManager.php');  //引入页面
    }

    public function ruleCreate() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('ruleCreate.php');
        //引入页面
    }

    public function ruleEdit() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('ruleEdit.php');
        //引入页面
    }

    public function ruleManager() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('ruleManager.php');
        //引入页面
    }

    public function monitorManager() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('monitorManager.php');
        //引入页面
    }

    public function SafetyManager() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('SafetyManager.php');  //引入页面
    }

    public function SafetyCreate() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('SafetyCreate.php');  //引入页面
    }

    public function SafetyEdit() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('SafetyEdit.php');  //引入页面
    }

    public function SafetyExplanation() {
        /* $neirong='这里是默认的控制器和方法，请必须使用这个作为首页';
          $this->assign('test', $neirong);  //传入参数给页面
          $this->assign('uid',  $this->uid);  //传入参数给页面 */
        $this->display('SafetyExplanation.php');  //引入页面
    }

    //处理所有功能的入口
    public function api() {
        $this->display('api/api.php');  //引入页面
    }

}
